package com.brframework.commoncms.core;

import com.brframework.commoncms.annatotion.option.CmsOption;

import java.lang.reflect.Method;

/**
 * 操作
 * @author xu
 * @date 2018/9/26 11:06
 */
public interface Option {

    /**
     * 条件表达式
     */
    String getCondition();

    /**
     * 操作名称
     */
    String getName();
    /**
     * 操作uri
     * {PROTOCOL}://{path}
     */
    String getUri();

    /**
     * 创建操作
     * @param method 实现的方法
     * @param option 实现的操作
     */
    void create(Method method, CmsOption option);

}
